http://qs321.pair.com?node_id=1083936


in reply to Re: LWP and HTTPS
in thread LWP and HTTPS

I tried $ENV{HTTPS_VERSION} = 3; because curl -3 $URL is working but my Perl code still return same error :-(

Replies are listed 'Best First'.
Re^3: LWP and HTTPS
by Corion (Pope) on Apr 26, 2014 at 16:35 UTC

    If you want to set up the environment, either do so outside your script, or at least, before the SSL modules are loaded:

    BEGIN { $ENV{ HTTPS_VERSION }= 3; }; use WWW::Mechanize;
      This will not work because $ENV{ HTTPS_VERSION }= 3; is the default value :-(